SugarCRM < 7.9.4.0 Privilege Escalation Vulnerability

Published: 2019-01-02 07:46:41

CVSS Base Vector:
AV:N/AC:L/Au:S/C:P/I:P/A:N

Detection Type:
Remote Banner

Solution Type:
Vendor Patch

Summary:
SugarCRM is prone to a privilege escalation vulnerability.

Technical Details:
When LDAP authentication is enabled, the username input is not properly escaped when constructing the LDAP bind filter. Depending on your LDAP configuration and setup this may result in privilege escalation. This fix addresses the usage of proper username escaping when creating the LDAP bind and LDAP filters.

Detection Method:
Checks if a vulnerable version is present on the target host.

Affected Versions:
SugarCRM 7.9.

Recommendations:
Update to version 7.9.4.0 or later.

References:

https://support.sugarcrm.com/Resources/Security/sugarcrm-sa-2018-002/

Search
Severity
Medium
CVSS Score
5.5

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.